Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc
Class ExtendedOperatorSet

    java.lang.Object
      com.singularsys.jep.OperatorTable
          com.singularsys.jep.standard.StandardOperatorTable
              com.singularsys.jep.misc.ExtendedOperatorSet

All Implemented Interfaces:
  JepComponent, java.io.Serializable

    public class ExtendedOperatorSet

extends StandardOperatorTable

A example of an OperatorSet which demonstrates some features. Suffix operators: n! (factorial) and n% (percentage) TernaryOperator: cond?tval:fval

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ExtendedOperatorSet.Factorial` Simple implementation of factorial, good up to 20!

Field Summary
`static int` | `OP_FACT`
`static int` | `OP_IF`
`static int` | `OP_PERCENT`

Fields inherited from class com.singularsys.jep.OperatorTable
`baseNumOps, numOps, OP_ADD, OP_AND, OP_ASSIGN, OP_CROSS, OP_DIVIDE, OP_DOT, OP_ELEMENT, OP_EQ, OP_GE, OP_GT, OP_LE, OP_LIST, OP_LT, OP_MOD, OP_MULTIPLY, OP_NE, OP_NEGATE, OP_NOP, OP_NOT, OP_OR, OP_POWER, OP_RANGE, OP_RECIP, OP_SUBTRACT, OP_UPLUS, ops`

Constructor Summary
`ExtendedOperatorSet()`

Method Summary

Methods inherited from class com.singularsys.jep.standard.StandardOperatorTable
`init`

Methods inherited from class com.singularsys.jep.OperatorTable
`addOperator, addOperator, addOperator, addOperator, appendOperator, appendOperator, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, insertOperator, removeOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setNumOps, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OP_FACT

    public static final int OP_FACT

### OP_PERCENT

    public static final int OP_PERCENT

### OP_IF

    public static final int OP_IF

Constructor Detail

### ExtendedOperatorSet

    public ExtendedOperatorSet()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep